Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038093
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminorhave not tried2018-03-09 13:282018-04-13 14:13
ReporterplujanView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision0c7bfa3ba610
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038093: After the fix of 28645 should not be possible to enter a reservation greater than the sales order. However it is possible

DescriptionAfter the fix of 0028645 should be possible to enter a reservation greater than the sales order. Automated test for 0028618 Regression must be updated accordingly to compare the Stock Reservation tab and Stock tab Reserved and Released quantities.
Steps To Reproduce- Login as QA testing Admin
- Make sure Enable Stock Reservation preference is set with value Yes.
- Check for Product Final good C, Is Quantity Variable flag is set as Yes.
- Navigate to Sales Order window and create one record.
- In Header set Business Partner: Customer A, Document Type: Standard Order.
- In line add Product Final good C, Ordered Quantity = 1, Stock Reservation :Automatic.
- Book Order.
- Navigate to Lines, select previously created line, click on Manage Reservation button, set Quantity = 2.
- Navigate to Stock Reservation window and filter record by the previously created Sales Order Line.
- Realize that Reserved Quantity = 2, Quantity = 1, Released = 0.
- Navigate to Goods shipment window, create one against the above Sales Order and its Line.
- Edit Goods shipment line and set quantity as 2.
- Complete the Goods shipment.
- Navigate to Stock Reservation window and filter record by previously created Sales Order Line.
- Automatedd test compares Reserved Quantity = 1, Released = 1, it should compare Reserved Quantity = 2, Released = 2
- In Stock Data Tab, automated test compares Quantity = 1, Released = 1, it should compare Quantity = 2, Released = 2.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0028618 closedSandrahuguet Openbravo ERP It is possible to reserve more qty than the qty of the order 
related to defect 0037925 closedmarkmm82 Modules Cannot process a picking list if Movement Quantity is higher than ordered quantity (Is Quantity Variable feature) 
depends on defect 0028645 closedvmromanos Openbravo ERP It would be nice to be able to reserve more qty than the qty of the order if you have defined the 'is qty variable' 

-  Notes
(0103290)
AtulOpenbravo (developer)
2018-03-15 18:05
edited on: 2018-03-16 09:16

As per the feature request 0028645, it is possible to reserve quantity more than sales order quantity. If a goods shipment against such reserved quantities is created against orders with the more quantity, When such shipments are processed, Stock Reservation and Stock Data is updated with the relevant reserved and released quantities. Current behaviour after 0037925 fix is correct and needs to be adapted in Automated Test for 0028618.

(0103291)
AtulOpenbravo (developer)
2018-03-15 18:07

- Login as QA testing Admin
- Make sure Enable Stock Reservation preference is set with value Yes.
- Check for Product Final good C, Is Quantity Variable flag is set as Yes.
- Navigate to Sales Order window and create one record.
- In Header set Business Partner: Customer A, Document Type: Standard Order.
- In line add Product Final good C, Ordered Quantity = 1, Stock Reservation :Automatic.
- Book Order.
- Navigate to Lines, select previously created line, click on Manage Reservation button, set Quantity = 2.
- Navigate to Stock Reservation window and filter record by the previously created Sales Order Line.
- Realize that Reserved Quantity = 2, Quantity = 1, Released = 0.
- Navigate to Goods shipment window, create one against the above Sales Order and its Line.
- Edit Goods shipment line and set quantity as 2.
- Complete the Goods shipment.
- Navigate to Stock Reservation window and filter record by previously created Sales Order Line.
- Realize that Reserved Quantity = 2, Released = 2
- In Stock tab, Quantity = 2, Released = 2
(0103881)
hgbot (developer)
2018-04-13 14:13

Repository: tools/automation/int
Changeset: 0c7bfa3ba610861756b0e48bf28b144226090d98
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Mar 15 01:03:50 2018 +0530
URL: http://code.openbravo.com/tools/automation/int/rev/0c7bfa3ba610861756b0e48bf28b144226090d98 [^]

Fixes Issue 0038093:Compare appropriate reserved
and released quantities in resreg3 automated tests

** When Goods Shipment against order having reserved
quantity more than order quantity is completed with
quantity as per reserved quantity, Reserved and
Released quantities in Stock Reservation and Stock Data
are updated as per reserved quantity and shipped
quantity. Reservation Regression 3 Automated test needs
to compare appropriate quantities accordingly.

---
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/reservation/testsuites/RES_Regressions/RES_Regressions3/RESRegression28618.java
---

- Issue History
Date Modified Username Field Change
2018-03-09 13:28 plujan New Issue
2018-03-09 13:28 plujan Assigned To => Triage Finance
2018-03-09 13:28 plujan Modules => Core
2018-03-09 13:28 plujan Triggers an Emergency Pack => No
2018-03-09 13:29 plujan Relationship added related to 0028618
2018-03-09 13:57 plujan Steps to Reproduce Updated View Revisions
2018-03-09 14:17 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2018-03-13 09:13 AtulOpenbravo Status new => scheduled
2018-03-14 07:26 AtulOpenbravo Steps to Reproduce Updated View Revisions
2018-03-15 18:05 AtulOpenbravo Note Added: 0103290
2018-03-15 18:05 AtulOpenbravo Summary It is possible to reserve a stock quantity greater than the sales order quantity => Using IsQuantityVariable, stock quantity can be reserved greater than the sales order quantity
2018-03-15 18:05 AtulOpenbravo Description Updated View Revisions
2018-03-15 18:05 AtulOpenbravo Steps to Reproduce Updated View Revisions
2018-03-15 18:06 AtulOpenbravo Relationship added depends on 0028645
2018-03-15 18:07 AtulOpenbravo Note Added: 0103291
2018-03-15 18:08 AtulOpenbravo Steps to Reproduce Updated View Revisions
2018-03-15 18:14 AtulOpenbravo Summary Using IsQuantityVariable, stock quantity can be reserved greater than the sales order quantity => Compare appropriate reserved and released quantities in resreg3 automated tests
2018-03-16 08:51 aferraz Relationship added related to 0037925
2018-03-16 09:06 aferraz Project Openbravo ERP => QA
2018-03-16 09:07 aferraz Category 07. Sales management => Automation - General
2018-03-16 09:07 aferraz version pi =>
2018-03-16 09:09 aferraz Summary Compare appropriate reserved and released quantities in resreg3 automated tests => After the fix of 0028645 should not be possible to enter a reservation greater than the sales order. However it is possible
2018-03-16 09:09 aferraz Project QA => Openbravo ERP
2018-03-16 09:11 aferraz Category Automation - General => 07. Sales management
2018-03-16 09:15 aferraz Summary After the fix of 0028645 should not be possible to enter a reservation greater than the sales order. However it is possible => After the fix of 28645 should not be possible to enter a reservation greater than the sales order. However it is possible
2018-03-16 09:16 aferraz Note Edited: 0103290 View Revisions
2018-03-16 09:16 aferraz Review Assigned To => aferraz
2018-03-16 09:16 aferraz Status scheduled => closed
2018-03-16 09:16 aferraz Resolution open => no change required
2018-04-13 14:13 hgbot Checkin
2018-04-13 14:13 hgbot Note Added: 0103881
2018-04-13 14:13 hgbot Status closed => resolved
2018-04-13 14:13 hgbot Resolution no change required => fixed
2018-04-13 14:13 hgbot Fixed in SCM revision => http://code.openbravo.com/tools/automation/int/rev/0c7bfa3ba610861756b0e48bf28b144226090d98 [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker